//package com.pj.tb_goods_type;
//
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.stereotype.Component;
//
//import com.pj.utils.sg.*;
//
///**
// * 工具类：tb_goods_type -- 商品分类
// * @author qzy
// *
// */
//@Component
//public class TbGoodsTypeUtil {
//
//
//	/** 底层 Mapper 对象 */
//	public static TbGoodsTypeMapper tbGoodsTypeMapper;
//	@Autowired
//	private void setTbGoodsTypeMapper(TbGoodsTypeMapper tbGoodsTypeMapper) {
//		TbGoodsTypeUtil.tbGoodsTypeMapper = tbGoodsTypeMapper;
//	}
//
//
//	/**
//	 * 将一个 TbGoodsType 对象进行进行数据完整性校验 (方便add/update等接口数据校验) [G]
//	 */
//	static void check(TbGoodsType t) {
//		AjaxError.throwByIsNull(t.getId(), "[主键] 不能为空");		// 验证: 主键
//		AjaxError.throwByIsNull(t.getName(), "[名称] 不能为空");		// 验证: 名称
//		AjaxError.throwByIsNull(t.getSort(), "[排序] 不能为空");		// 验证: 排序
//		AjaxError.throwByIsNull(t.getNo(), "[编号] 不能为空");		// 验证: 编号
//		AjaxError.throwByIsNull(t.getCreateTime(), "[创建时间] 不能为空");		// 验证: 创建时间
//		AjaxError.throwByIsNull(t.getCreateBy(), "[创建人编号] 不能为空");		// 验证: 创建人编号
//		AjaxError.throwByIsNull(t.getCreateName(), "[创建人名称] 不能为空");		// 验证: 创建人名称
//		AjaxError.throwByIsNull(t.getUpdateTime(), "[更新时间] 不能为空");		// 验证: 更新时间
//		AjaxError.throwByIsNull(t.getUpdateBy(), "[更新人编号] 不能为空");		// 验证: 更新人编号
//		AjaxError.throwByIsNull(t.getUpdateName(), "[更新人名称] 不能为空");		// 验证: 更新人名称
//		AjaxError.throwByIsNull(t.getDeleteStatus(), "[删除状态] 不能为空");		// 验证: 删除状态(0=禁用,1=启用)
//	}
//
//	/**
//	 * 获取一个TbGoodsType (方便复制代码用) [G]
//	 */
//	static TbGoodsType getTbGoodsType() {
//		TbGoodsType t = new TbGoodsType();	// 声明对象
//		t.setId("");		// 主键
//		t.setName("");		// 名称
//		t.setSort(0);		// 排序
//		t.setNo("");		// 编号
//		t.setCreateTime("");		// 创建时间
//		t.setCreateBy("");		// 创建人编号
//		t.setCreateName("");		// 创建人名称
//		t.setUpdateTime("");		// 更新时间
//		t.setUpdateBy("");		// 更新人编号
//		t.setUpdateName("");		// 更新人名称
//		t.setDeleteStatus(0);		// 删除状态(0=禁用,1=启用)
//		return t;
//	}
//
//
//
//
//
//}
